#pragma once
#include <shader.h>
#include <string>
namespace M3D
{

/**
	@author Denis A. Biryukov <denis.birukov@gmail.com>
*/
class FragmentShader : public Shader
{
	public:
		FragmentShader();
		~FragmentShader();
		/**
		 * Производит загрузку фрагментного шейдера
		 * @param shader_source указатель на буфер с данными шейдера
		 * @author Denis A. Biryukov <denis.birukov@gmail.com>
		 */
		void load( const char *shader_source );

};

}
