#ifndef SCENEIMAGE_H
#define SCENEIMAGE_H

#include <string>
#include "sceneobject.h"
#include "video_int.h"
#include "sceneobjectfabric.h"

/**
Картинка не реагирующая на действия

	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class SceneImage : virtual public SceneObject
{
	public:
		SceneImage();
		~SceneImage();
		virtual void draw ();
//		virtual Video_Surface* get_surface();
		virtual bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name );

};

extern ObjectFabric<SceneImage> SceneImageFabric;

#endif
