#ifndef TEXT_H
#define TEXT_H

#include <sceneobject.h>
#include <string>
#include "video_int.h"
#include "sceneobjectfabric.h"


/**
О©╫О©╫О©╫ О©╫О©╫О©╫О©╫О©╫О©╫О©╫О©╫О©╫О©╫
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class TextObject : virtual public SceneObject
{
	public:
		TextObject();
		virtual ~TextObject();

		virtual void draw ();
		virtual bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name );
	protected:
		std::string _text_;
		std::string _font_;
                std::string _renderer_type_;
                double _xb_;
                double _yb_;
		int _font_size_;
		VideoColor _clr_;
		
};

extern ObjectFabric<TextObject> TextObjectFabric;

#endif
