#pragma once
#include "baseinterface.h"
#include <string>

namespace M3D
{

/**
	@author Denis A. Biryukov <denis.birukov@gmail.com>
*/
class ShaderProgramInterface : public BaseInterface
{
	public:
		/**
		 * Производит загрузку шейдерной программы
		 * @param fname имя файла из которого грузить *.shader
		 * @author Denis A. Biryukov <denis.birukov@gmail.com>
		 */
		void load(const std::string &fname);
		~ShaderProgramInterface(){};
		ShaderProgramInterface(int shader_id, EngineInterface *intf) : BaseInterface(shader_id, intf) {};
};

}
