#ifndef SCENESWITCHER_H
#define SCENESWITCHER_H

#include "sceneimage.h"
#include "text.h"
#include <string>

/**
Кнопка переключающая сцены

	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class SceneSwitcher : virtual public SceneImage, virtual public TextObject
{
	public:
            VIRTUAL_SLOT( _on_mouse_release );
            
            SceneSwitcher();
            ~SceneSwitcher();

            virtual bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name );
            virtual void draw ();

	private:
            std::string _next_scene_;

};
extern ObjectFabric<SceneSwitcher> SceneSwitcherFabric;

#endif
