//
// C++ Interface: timer
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef TIMER_H
#define TIMER_H

#include <sceneobject.h>
#include "slot.h"
#include "me_time.h"
#include "me_signal.h"
#include "sceneobjectfabric.h"
/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class Timer : public SceneObject
{
	public:
		DECLARE_SLOT ( Timer, _on_new_cycle );
		void draw() {};
		bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name );
		Timer();
		~Timer();
	private:
                Signal _time_end_;
                Time _timer_;
                float _dt_;
                bool _repeat_;


};
extern ObjectFabric<Timer> TimerFabric;

#endif
