/***************************************************************************
 *   Copyright (C) 2007 by Denis A. Birukov   *
 *   Denis A. Birukov@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef COUNTDOWN_H
#define COUNTDOWN_H

#include <effects.h>

/**
	@author Denis A. Birukov <Denis A. Birukov@gmail.com>
*/
class countdown : public effects
{
	public:
		countdown();

		~countdown();

		virtual bool prepare ( std::string video_name, Video_Interface *vid ){return true;};
		virtual bool run ( int frame_no, Video_Interface* vid, float param =0 );
		unsigned int NYT;
};

#endif
